// Create a jQuery object with all the h1 elements and save it to a variable
var heading = $( "h1" );

// Print the variable to the console
console.log(heading);



// Create a jQuery object with all the p elements and save it to a variable
var paragraphs = $( "p" );

// Print the variable to the console
console.log(paragraphs);

// Print the length of the variable (number of elements in the object)
console.log(paragraphs.length);


// Get the value of the color property for the first h1 in the collection
var h1_color = $( "h1" ).css('color');
console.log( h1_color );

// Set the color of the h1 to red
$( "h1" ).css('color', 'red');

// Get the value of the color property for the first h1 in the collection (to see the change)
var h1_color = $( "h1" ).css('color');
console.log( h1_color );


// Set the border for each paragraph immediately following an h2
$( "h2 + p").css('border', '6px dotted green');


// Use classes to create the jQuery object
$( ".boxes .one").css('background', 'darkslategray');
$( ".boxes .two").css('border-radius', '20px');
$( ".boxes .three").css('height', '300px');


// Use an id to create the jQuery object
// Set multiple css properties at once
$( " #example ").css({
	'padding': '25px',
	'background': '#eee',
	'border': '1px solid black'
});


// Use :contains to find elments with specific text
$( "p:contains('Simmons')" ).css("font-weight", "bold");


// Add a class of highlight to the element
$( "p:contains('Simmons')" ).addClass("highlight");

// Remove the highlight class from the element
$( "p:contains('Simmons')" ).removeClass("highlight");

// Add three different classes
$( "p:contains('Simmons')" ).addClass("highlight happy more");

// Remove all the classes
$( "p:contains('Simmons')" ).removeClass();




/* Solutions to Exercies! */

// Exercise #1
$( ".one" ).css("opacity", ".1");
$( ".two" ).css("border-color", "aqua");
$( ".three" ).css("width", "10%");

// Exercise #2
// CSS for .circle (goes in stylesheet)
/*
.circle {
	border: 1px solid #666;
	float: left;
	width: 30%;
	height: 200px;
	margin: 1%;
	border-radius: 50%;
}
*/

$( "div.box" ).removeClass("box");
$( "#example div" ).addClass("circle");